Last Comment Bug 656183 - getContext() calls SetCanvasElement twice
: getContext() calls SetCanvasElement twice
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Canvas: 2D (show other bugs)
: Trunk
: All All
: -- trivial (vote)
: mozilla6
Assigned To: :Benjamin Peterson
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-05-10 17:57 PDT by :Benjamin Peterson
Modified: 2011-05-19 06:18 PDT (History)
3 users (show)
bzbarsky: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
removes duplicate call (761 bytes, patch)
2011-05-10 17:58 PDT, :Benjamin Peterson
joe: review+
Details | Diff | Splinter Review

Description :Benjamin Peterson 2011-05-10 17:57:22 PDT
User-Agent:       Mozilla/5.0 (X11; Linux x86_64; rv:2.0.1) Gecko/20110506 Firefox/4.0.1
Build Identifier: 

GetContextHelper calls it, but so does Getcontext().

Reproducible: Always
Comment 1 :Benjamin Peterson 2011-05-10 17:58:53 PDT
Created attachment 531512 [details] [diff] [review]
removes duplicate call
Comment 2 Joe Drew (not getting mail) 2011-05-18 10:20:51 PDT
Comment on attachment 531512 [details] [diff] [review]
removes duplicate call

One suggestion: please use 8 lines of context and -p in your diffs, as mentioned in https://developer.mozilla.org/en/Mercurial_FAQ#How_can_I_diff_and_patch_files.3F
Comment 3 Boris Zbarsky [:bz] (still a bit busy) 2011-05-18 20:45:43 PDT
http://hg.mozilla.org/projects/cedar/rev/5f9f7a49e2e1
Comment 4 Mounir Lamouri (:mounir) 2011-05-19 06:18:29 PDT
Pushed:
http://hg.mozilla.org/mozilla-central/rev/5f9f7a49e2e1

Note You need to log in before you can comment on or make changes to this bug.